﻿using System;
using HeuristicLab.Services.Optimization.Billing.DataAccess;
using HeuristicLab.Services.Optimization.Billing.Model;

namespace HeuristicLab.Services.Optimization.Billing.Test {
  class Program {
    static void Main(string[] args) {
      using (var context = new BillingContext()) {
        System.Data.Entity.Database.SetInitializer(new HeuristicLab.Services.Optimization.Billing.DataAccess.BillingContext.BillingContextInitiliazer());
      }

      //BillingService srv = new BillingService();
      BillingDao dao = new BillingDao();
      var products = dao.FindAllProducts();
      foreach (Product p in products) {
        Console.WriteLine(string.Format("{0}: {1}", p.ProductId, p.Name));
      }

      Console.WriteLine("Press any key to exit...");
      Console.ReadKey();
    }
  }
}
